﻿@model List<SSTC.Entity.Motion>

@{
    ViewBag.Title = "Wnioski";
}

<h2>Akceptacja wniosków o nieobecność</h2>
<table class="table table-bordered table-condensed table-striped">
    @if (Model.Count != 0)
    {
        <tr>
            <th><b>Uzytkownik: </b></th>
            <th><b>Data rozpoczęcia: </b></th>
            <th><b>Data zakończenia: </b></th>
            <th><b>Ilość dni: </b></th>
            <th><b>Status: </b></th>
            <th></th>
        </tr>
        foreach (var item in Model)
        {
            <tr style="@(item.Status == 0 ? "background-color:yellow" : item.Status == 2 ? "background-color:greenyellow" : item.Status== 3 ? "background-color:green" : "background-color:OrangeRed")">
                @using (@Html.BeginForm("SaveEditCategory", "Admin", FormMethod.Post))
                {
                    <td>
                        <span>@item.User.FullName</span>
                    </td>
                    <td>
                        <span>@item.StartDate.ToShortDateString()</span>
                    </td>
                    <td>
                        <span>@item.EndDate.ToShortDateString()</span>
                    </td>
                    <td>
                        <span>@item.NumOfDays</span>
                    </td>
                    <td>
                        <span>@Enum.ToObject(typeof(SSTC.Enum.Enums.MotionStatus), item.Status)</span>
                    </td>
                    <td class="text-right">
                        <input class="btn btn-group btn-sm btn-primary" type="button" value="Zatwierdź" onclick="location.href='@Url.Action("AcceptMotion", "Manager", new { _id = item.Id })'" />
                        <input class="btn btn-group btn-sm btn-danger" type="button" value="Odrzuć" onclick="location.href='@Url.Action("RejectMotion", "Manager", new { _id = item.Id })'" />
                    </td>
                }

            </tr>
        }
    }
</table>


